Qt 5.9 | Qt 3D | C++ Classes | QExtrudedTextMesh

Qt 5.9.9 Reference Documentation

# QExtrudedTextMesh Class

(Qt3DExtras::QExtrudedTextMesh)

A 3D extruded Text mesh. More...

Header: | #include <Qt3DExtras/QExtrudedTextMesh>
qmake: | QT += 3dextras
Instantiated By: | ExtrudedTextMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- depth : float
- font : QFont
- text : QString

- 10 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QExtrudedTextMesh(Qt3DCore::QNode *parent = nullptr)
float | depth() const
QFont | font() const
QString | text() const

- 12 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDepth(float depth)
void | setFont(const QFont &font)
void | setText(const QString &text)

- 10 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | depthChanged(float depth)
void | fontChanged(const QFont &font)
void | textChanged(const QString &text)

- 10 signals inherited from Qt3DRender::QGeometryRenderer
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A 3D extruded Text mesh.

## Property Documentation

### depth : float

Holds the extrusion depth of the text.

Access functions:

float | depth() const
void | setDepth(float depth)

Notifier signal:

void | depthChanged(float depth)

### font : QFont

Holds the font of the text.

Access functions:

QFont | font() const
void | setFont(const QFont &font)

Notifier signal:

void | fontChanged(const QFont &font)

### text : QString

Holds the text used for the mesh.

Access functions:

QString | text() const
void | setText(const QString &text)

Notifier signal:

void | textChanged(const QString &text)

## Member Function Documentation

### QExtrudedTextMesh::QExtrudedTextMesh(Qt3DCore::QNode *parent = nullptr)

Constructs a new QText3DMesh with parent.